<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030
  ESPCMS官网介绍：http://www.ecisp.cn	企业建站：http://www.earclink.cn
 */

use application\ESPCMS_Core;
use inc_application\link\LngLink;

class lib_lng {

	public static function call_lng($parameter, $filename = 'lng', $outHTML = null) {
		$espcms_lib_template = espcms_web_template();
		$espcms_lib_template->libfile = true;
		$array = ESPCMS_Core::get_lan_list(ESPCMS_WEB_LAN);
		if (is_array($array)) {
			foreach ($array as $key => $value) {
				$array[$key]['link'] = ESPCMS_WEB_TYPE == 'WAP' ? LngLink::wap_link_array($value) : LngLink::link_array('view', $value);
			}
		}
		$espcms_lib_template->into('array', $array);
		if (!empty($outHTML)) {
			$output = $espcms_lib_template->fetch(null, null, $outHTML);
		} else {
			$output = $espcms_lib_template->fetch('lib/' . $filename);
		}
		return $output;
	}

}
